/*
	Twilight Prophecy 3D/Multimedia SDK
	A multi-platform development system for virtual reality and multimedia.

	Copyright (C) 1997-2001 by Twilight 3D Finland Oy Ltd.
*/
#ifndef PRMATH_CONE_HPP
#define PRMATH_CONE_HPP



namespace prmath
{
	
	struct Cone
	{
		Vector3		origin;
		Vector3		target;
		float		angle;
		
		Cone() {}
		Cone(const Vector3& origin, const Vector3& target, float angle);
	};
	
	
inline Cone::Cone(const Vector3& origin_, const Vector3& target_, float angle_)
: origin(origin_), target(target_), angle(angle_)
{
}
	
} // namespace prmath



#endif